Subject: [Tools-discuss] Chat services - my feedback

From: Jay Daley <[email-masked]>
Date: Thu, 18 Mar 2021 10:08:00 +1300

For these trials I've continued to use Jabber, which I’m very familiar with, added on Matrix and used it for non-IETF use and tried Zulip regularly.

My preference by a long way is Zulip.

My reason for discounting Jabber is that the clients are simply too crude and that actively hampers my experience.  I can’t see any likelihood that will change so far as is needed to make this a competitor despite big improvements like movim.

My reason for discounting Matrix is that it’s nothing more than a working version of jabber with the same one-dimensional approach to chat.  That’s fine for a realtime conversation, but very poor for asynchronous communications as we have in the IETF.  While threading is on the roadmap [1] it’s being added as a feature not a core design choice.

Zulip on the other hand has a much more sophisticated chat model with the use of Streams and Topics within them, which has significant potential to actively enhance the work of the IETF rather than simply redirect a bunch of messages to a different platform as happens with the Jabber/Matrix.  Used well, and that would not be hard, Zulip could be a very powerful tool.  Tim April has provided some useful thoughts on that already [2].

Jay

[1]  https://github.com/vector-im/roadmap/issues/8
[2]  https://mailarchive.ietf.org/arch/msg/tools-discuss/WAvOx6dkPKu-UanUYtzeNhGjydg/

-- 
Jay Daley
IETF Executive Director
[email-masked]